### Method

# Nautilus FileInfo add_string_attribute

#### Declaration [src]

    void
    nautilus_file_info_add_string_attribute (
      NautilusFileInfo* file_info,
      const char* attribute_name,
      const char* value
    )

#### Description [src]

Set’s the attributes value or replacing the existing value (if one exists).

This function is necessary to set the value of the `NautilusFileInfo`‘s correspond attribute for a `NautilusColumn:attribute`.

#### Parameters

`attribute_name`

  Type: `const char*`

  The name of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The value of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.